use std::env;
use std::path::Path;
use std::fs::metadata;

fn main() {
	for argument in env::args().skip(1) {
        let b = Path::new(&argument).exists();
        // If the path exists, examine it.
        if b == true {
            let md = metadata(&argument).unwrap();

            if md.is_dir() == true {
                println!("{} is a directory.", argument);
            }

            if md.is_file() == true {
                println!("{} is a regular file.", argument);
            }
        // If the path does not exist, say so!
        } else {
            println!("The {} path does not exist!", argument)
        };
    }
}
